# norootforbuild

Name:		di
Version:	4.28
Release:	1.pm.1.1

Summary:	A disk information utility
License:	Other
Group:		Productivity/File utilities
URL:		http://www.gentoo.com/di/

Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Di is a disk information utility, displaying everything (and more) that your 'df'
command does. It features the ability to display your disk usage in whatever
format you desire/prefer/are used to. It is designed to be portable across many
platforms. Great for heterogenous networks.





%prep
%setup -q -n %{name}-%{version}


%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
export FFLAGS=$RPM_OPT_FLAGS
%__make %{?jobs:-j%{jobs}}


%install
%__make prefix=%{buildroot}/%{_prefix} install


%clean
%{?buildroot:%__rm -rf "%{buildroot}"}


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/%{name}
%{_bindir}/mi
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
%{_datadir}/locale/en/LC_MESSAGES/%{name}.mo
%{_datadir}/locale/es/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/%{name}.1.gz


%changelog
* Mon Sep 12 2011 detlef@links2linux.de
- new upstream version <4.27>
  * This release adds support for DragonflyBSD.
* Sun Jan  2 2011 detlef@links2linux.de
- new upstream version <4.27>
  * Rearranged directory structure.
  * Added support for long double to hold zettas and yottas.
  * Added support for the windows digital mars c compiler.
  * Added a fix for windows removable drives.
  * Rewrote snprintf macros as they didn't work on MacOSX.
  * Fixed quotactl argument for systems w/o QCMD macro.
  * Check for type of structure members and call the correct xdr function.
  * Many minor fixes for compiler warnings.
  * Fixed Makefiles to redirect 'cd' output (CDPATH).
  * Updated build system to mkconfig 1.11.
* Mon Jul 26 2010 detlef@links2linux.de
- new upstream version <4.26>
  * Fix FreeBSD 5 panic when trying to get quotas on devfs.
  * Updated build system to mkconfig-1.10.
* Mon Jul  5 2010 detlef@links2linux.de
- new upstream version <4.25>
  * Added support for quotas.
  * Fix for Tru64 advfs pools.
  * Fixed loopback filesystem (lofs/none) exclusion; enabled for
    all systems.
  * Added an optional DI_LOCALE_DIR environment variable to
    point to the locale directory where di's messages are installed.
  * Changed the sort to use strcoll() rather than strcmp().
  * Updated build system to mkconfig-1.6.
  * Removed turnoffwinapi.sh, hasnls.sh & turnoffnls.sh and updated
    to use new build system tools.
  * Added dioptions.dat to control options.
  * More fixes for totals in a pooled/non-pooled mix when pooled
    filesystems are not displayed.
* Sat May 15 2010 detlef@links2linux.de
- initial build for PackMan <4.24>
